body {
    background: $white;
    font-family: 'El Messiri', sans-serif;
    overflow-x: hidden;
    color: $main-color;
}

a {
    text-decoration: none;

    &:hover,
    &:focus {
        text-decoration: none;
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: bold;
}

.padding-mobile {
    @media #{$max-mobile} {
        padding-top: 50px !important;
        padding-bottom: 50px !important;
    }

}

.button-all {
    margin-top: 20px;

    .btn-primary {
        background: transparent;
        color: $third-color;
        border: 0;
        font-weight: bold;
        font-size: 1.7rem;
    }
}

.page-content {
    padding-top: 50px;
    padding-bottom: 50px;
}

// styling about us section 

.aboutus {
    padding-bottom: 50px;
    padding-top: 50px;

    @media #{$max-mobile} {
        padding-left: 20px;
        padding-right: 20px;
    }

    .content {
        margin-top: 50px;
        color: $white;
        position: relative;
        padding: 30px 30px 40px 30px;
        background: $main-color;

        @media #{$max-mobile} {
            margin-bottom: 20px;
        }
    }

    p {
        line-height: 1.5rem;
    }

    h1 {
        margin-bottom: 20px;
    }

    .buttons {
        position: absolute;
        bottom: -20px;
        #{$direction}: 10px;
    }

    .img-container {
        width: 100%;

        img {
            text-align: center;
            width: 300px;
            margin-right: auto;
            margin-left: auto;
        }
    }

    .owl-carousel {
        .img-container1 {
            width: 350px;
            height: 400px;
            overflow: hidden;
            margin-right: auto;
            margin-left: auto;
            position: relative;
        }

        .owl-nav button {
            position: absolute;
            height: 50px;
            width: 50px;
            text-align: center;
            line-height: 50px;
            background: $main-color;
            bottom: 0px;
            #{$direction-reverse}: 103px;

            // @include rotateY(90deg);
            span {
                font-size: 2rem;
                color: $white;
                margin-right: 5px;
                margin-left: 5px;
            }
        }
    }
}


// styling tours section 
.programs {
    padding-top: 100px;
    padding-bottom: 100px;

    .owl-carousel {
        margin-top: 50px;
    }

    .card .content {
        text-align: right;
    }
}

// styling destination 
.destination {
    padding-top: 100px;
    padding-bottom: 100px;

    h1 {
        &:after {
            content: '';
            background: url(../images/shape.png) no-repeat;
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            #{$direction}: 60px;
            z-index: -1;

            @media #{$max-mobile} {
                top: -50px;
            }
        }
    }

    .owl-carousel {
        margin-top: 50px;

        .owl-nav {

            button {
                position: absolute;
                top: 40%;
                width: 50px;
                height: 50px;
                line-height: 50px;
                background: $third-color;

                span {
                    font-size: 2rem;
                    color: $white;
                }

                &.owl-prev {
                    left: 0;
                }

                &.owl-next {
                    right: 0;
                }
            }
        }
    }

    h1 {
        font-size: 3rem;
    }

    p {
        line-height: 1.5rem;
    }
}

// styling hotels
.hotel {
    background: url(../images/hotelBackground.png);
    background-size: cover;
    padding-top: 100px;
    padding-bottom: 100px;

    h1 {
        color: $white;
        margin-bottom: 50px;
    }

    .card {
        @media #{$max-mobile} {
            margin-bottom: 20px;
        }
    }

    .btn-primary {
        color: $white;
    }

}


// styling testimonials
.testimonials {
    background: url(../images/testimonials.png);
    background-size: cover;
    background-position: 50% 50%;
    padding-top: 150px;
    padding-bottom: 150px;

    .content {
        margin-top: 50px;
    }

    .owl-nav {

        button {
            position: absolute;
            top: 40%;
            width: 50px;
            height: 50px;
            line-height: 50px;
            background: transparent;

            &:hover,
            &:focus {
                outline: none;
                box-shadow: none;
            }

            span {
                font-size: 4rem;
                color: $third-color;
            }

            &.owl-prev {
                left: 0;
            }

            &.owl-next {
                right: 0;
            }
        }
    }

    .test-card {
        .card-text {
            margin-left: auto;
            margin-right: auto;
            max-width: 600px;
            background: $main-color;
            color: $white;
            padding: 20px;
            position: relative;
            margin-bottom: 20px;

            p {
                line-height: 1.4rem;
            }
        }

        .triangle {
            width: 0;
            height: 0;
            border-left: 7px solid transparent;
            border-right: 7px solid transparent;
            border-top: 10px solid $main-color;
            position: absolute;
            bottom: -10px;
            left: 0;
            right: 0;
            margin-right: auto;
            margin-left: auto;
        }

        .avatar {
            .avatar-img {
                margin-bottom: 20px;

                img {
                    height: 70px;
                    width: 70px;
                }
            }

            h3 {
                margin-bottom: 10px;
            }

            p {
                color: $third-color;
                font-weight: bold;
            }
        }
    }
}

// start blog section 
.blog {
    padding-top: 100px;
    padding-bottom: 100px;
    background: url(../images/blogBackground.png);
    background-size: cover;
    .button-all {
        .btn-primary {
            color: $white;
        }
    }
    h1 {
        color: $white;
    }

    .content {
        margin-top: 50px;
    }

    .card-img1 {
        height: 200px;
        text-align: right;
        color: $white;
        margin-bottom: 5px;
        @include shadow(0px, 0px, 25px, -10px, rgba(#212121, 0.6));

        @media #{$max-mobile} {
            margin-bottom: 20px;
        }

        &.large {
            @media #{$min-mobile} {
                height: 405px;
            }
        }

        .img-desc {
            text-align: #{$direction-reverse};
            padding: 10px;
            padding-top: 50px;
        }

        .date {
            margin-bottom: 20px;

            span {
                background: $third-color;
                padding: 5px 10px;
                font-size: 0.7rem;
            }
        }

        p {
            font-size: 0.8rem;
        }

        .button {
            .btn-default {
                background: transparent;
                color: $white;
                border: 0;
            }

        }

        
    }
}

// start styling contact Us section 
/************************************/
.contact-us {
    padding-top: 100px;
    padding-bottom: 100px;

    .contact {
        text-align: center;

        .icon {
            margin-bottom: 20px;
            margin-left: auto;
            margin-right: auto;
            height: 80px;
            width: 80px;
            line-height: 80px;
            background: transparent;
            text-align: center;
            @include transition();
            border: 2px solid $third-color;

            i {
                color: $third-color;
                font-size: 1.5rem;
            }
        }

        .desc {
            h3 {
                margin-bottom: 10px;
            }
        }
    }

    .contact1 {
        &:hover {
            .icon {
                @include rotateY(180deg);
            }
        }
    }
}

// start map section 
.map {
    position: relative;

    iframe {
        width: 100%;
        height: 350px;
    }

    .contact {
        form {
            margin-top: 30px;

            .form-group {

                input,
                textarea {
                    background-color: lighten($main-color, 5%);
                    border-radius: 0px;
                    border: 0;

                    &:focus {
                        outline: none;
                        box-shadow: none;
                    }

                    &::placeholder {
                        color: $white;
                    }
                }
            }
        }

        width: 400px;
        position: absolute;
        top: -50px;
        color: $white;
        background-color:$main-color;
        #{$direction}: 100px;
        @include shadow(0px, 20px, 25px, -10px, rgba(#212121, 0.6));
        padding: 30px 30px 40px 30px;

        @media #{$max-mobile} {
            position: relative;
            top: 0;
            #{$direction}: 0;
            width: 100%;
        }

        .button {
            padding-left: 20%;
            padding-right: 20%;

        }

        .btn-primary {}
    }

}

.modal {
    .modal-body {
        padding: 30px 10px 40px 10px;
    }

    .close {
        position: absolute;
        top: 10px;
        #{$direction-reverse}: 10px;
    }

    .logo {
        width: 200px;
        margin-bottom: 20px;
    }

    .form-horizontal {
        margin-top: 30px;
    }

    .register {
        color: $third-color;
    }
}
